INTERFACE FractalNetObj_T_v1;

IMPORT Thread, NetObj, StubLib, FractalNetObj, Rd, Wr;
TYPE Surrogate_FractalNetObj_T = FractalNetObj.T OBJECT
      OVERRIDES
        requestFractal := Surrogate_requestFractal;
        returnResults := Surrogate_returnResults;
      END;

PROCEDURE Surrogate_requestFractal(self: FractalNetObj.T)
    : FractalNetObj.Fractal RAISES {NetObj.Error, Thread.Alerted};

PROCEDURE Surrogate_returnResults(
    self: FractalNetObj.T;
    f: FractalNetObj.FractalParams;
    pixmap: FractalNetObj.PixMap) RAISES {NetObj.Error, Thread.Alerted};

PROCEDURE Stub_requestFractal(
    self: FractalNetObj.T;
    c: StubLib.Conn;
    rep: StubLib.DataRep) RAISES {NetObj.Error, Rd.Failure, Wr.Failure,
    Thread.Alerted};

PROCEDURE Stub_returnResults(
    self: FractalNetObj.T;
    c: StubLib.Conn;
    rep: StubLib.DataRep) RAISES {NetObj.Error, Rd.Failure, Wr.Failure,
    Thread.Alerted};

END FractalNetObj_T_v1.
