INTERFACE FractalNetObj_Fractal_v1;

IMPORT Thread, NetObj, StubLib, FractalNetObj, Rd, Wr;
TYPE Surrogate_FractalNetObj_Fractal = FractalNetObj.Fractal OBJECT
      OVERRIDES
        getFractalParameters := Surrogate_getFractalParameters;
      END;

PROCEDURE Surrogate_getFractalParameters(self: FractalNetObj.Fractal)
    : FractalNetObj.FractalParams RAISES {NetObj.Error, Thread.Alerted};

PROCEDURE Stub_getFractalParameters(
    self: FractalNetObj.Fractal;
    c: StubLib.Conn;
    rep: StubLib.DataRep) RAISES {NetObj.Error, Rd.Failure, Wr.Failure,
    Thread.Alerted};

END FractalNetObj_Fractal_v1.
