INTERFACE FractalNetObj;
IMPORT NetObj;
FROM Thread IMPORT Alerted;

EXCEPTION Reject(TEXT);

TYPE
  PixMap = REF ARRAY OF ARRAY OF INTEGER;

  FractalParams = RECORD 
    type: TEXT;
		sx: INTEGER; sy: INTEGER; xmin: REAL; xmax: REAL;
		ymin: REAL; ymax: REAL; maxiter: INTEGER;
  END;

  T = NetObj.T OBJECT METHODS
    requestFractal(): Fractal RAISES {NetObj.Error, Alerted};
    returnResults(f: FractalParams; pixmap: PixMap) RAISES {NetObj.Error, Alerted};
  END;

  Fractal = NetObj.T OBJECT METHODS
    getFractalParameters(): FractalParams RAISES {NetObj.Error, Alerted}; 
  END;

END FractalNetObj.
